%{?nodejs_find_provides_and_requires}

%global packagename too-late
%global enable_tests 1

Name:		nodejs-too-late
Version:	0.1.1
Release:	1%{?dist}
Summary:	events with timeouts

License:	MIT
# License file requested upstream at https://github.com/zweifisch/too-late/issues/1
URL:		https://github.com/zweifisch/too-late.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
events with timeouts


%prep
%setup -q -n package

# remove pre-compiled versions
rm index.js test.js


%build
%{_bindir}/coffee -c -b *.coffee

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Nov 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
